Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class CHPFormattedDiskPage

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.FormattedDiskPage
          org.apache.poi.hdf.model.hdftypes.CHPFormattedDiskPage

public class CHPFormattedDiskPage
extends FormattedDiskPage

Represents a CHP fkp. The style properties for paragraph and character runs are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps for character run properties. The first part of the fkp for both CHP and PAP fkps consists of an array of 4 byte int offsets that represent a Paragraph's or Character run's text offset in the main stream. The ending offset is the next value in the array. For example, if an fkp has X number of Paragraph's stored in it then there are (x + 1) 4 byte ints in the beginning array. The number X is determined by the last byte in a 512 byte fkp. CHP and PAP fkps also store the compressed styles(grpprl) that correspond to the offsets on the front of the fkp. The offset of the grpprls is determined differently for CHP fkps and PAP fkps.

Author:
  Ryan Ackley

Field Summary

Fields inherited from class org.apache.poi.hdf.model.hdftypes.FormattedDiskPage
`_crun, _fkp`

Constructor Summary
`CHPFormattedDiskPage(byte[] fkp)` This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array read from a Word file).

Method Summary
`byte[]` | `getGrpprl(int index)` Gets the chpx for the character run at index in this fkp.

Methods inherited from class org.apache.poi.hdf.model.hdftypes.FormattedDiskPage
`getEnd, getStart, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CHPFormattedDiskPage

    public CHPFormattedDiskPage(byte[] fkp)

  This constructs a CHPFormattedDiskPage from a raw fkp (512 byte array read from a Word file).

Parameters:
  `fkp` - The 512 byte array to read data from

Method Detail

### getGrpprl

    public byte[] getGrpprl(int index)

  Gets the chpx for the character run at index in this fkp.

  Specified by:
    `getGrpprl` in class `FormattedDiskPage`
  Parameters:
    `index` - The index of the chpx to get.
  Returns:
    a chpx grpprl.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.